#pragma once
#include <map>
struct Fish_LoadResourceCFGData
{
	//key
	int mID;
	//资源类型
	int mResType;
	//资源路径
	std::string mResPath;
};

class Fish_LoadResourceCFG
{
public:
private:
	static std::auto_ptr<Fish_LoadResourceCFG> msSingleton;
public:
	int GetCount();
	const Fish_LoadResourceCFGData* GetData(int ID);
	const std::map<int, Fish_LoadResourceCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_LoadResourceCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_LoadResourceCFGData> mMapData;
};
